Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_storage_with_options

## Name

librdf_new_storage_with_options -- Constructor - create a new librdf_storage object

## Synopsis

``librdf_storage* `librdf_new_storage_with_options`` (librdf_world * `world`, char * `storage_name`, char * `name`, librdf_hash * `options`);`

## Arguments

`world`

  redland world object

`storage_name`

  the storage factory name

`name`

  an identifier for the storage

`options`

  librdf_hash of options to use

## Description

The options can be NULL if none are required.

## Return value

a new librdf_storage object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_storage | Up | librdf_new_storage_from_storage